Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IFieldAgent

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IFieldAgent

All Implemented Interfaces:
  IDynamics, ISubobject

    public class IFieldAgent

extends IAgent

3D vector filed defined by a NURBS curve.

Author:
  Satoru Sugihara

Field Summary
`java.util.ArrayList<I3DFieldI>` | `fields`
`java.util.ArrayList<I2DFieldI>` | `fields2`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`IFieldAgent()`
`IFieldAgent(I3DFieldI f)`
`IFieldAgent(I3DFieldI[] f)`

Method Summary
`IFieldAgent` | `add(I2DFieldI f)`
`IFieldAgent` | `add(I3DFieldI f)`
`IFieldAgent` | `addField(I2DFieldI f)`
`IFieldAgent` | `addField(I3DFieldI f)`
`void` | `interact(java.util.ArrayList<IDynamics> agents)` behavior definition of interaction with other dynamic objects.
`IFieldAgent` | `remove(I2DFieldI f)`
`IFieldAgent` | `remove(I3DFieldI f)`
`IFieldAgent` | `removeField(I2DFieldI f)`
`IFieldAgent` | `removeField(I3DFieldI f)`

Methods inherited from class igeo.IAgent
`addDynamics, alive, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, del, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, hide, hsb, hsb, hsb, hsb, initAgent, interact, layer, localDynamics, name, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, show, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget, weight, weight`

Methods inherited from class igeo.IObject
`alpha, alphaInt, attr, attr, attr, blue, blueInt, clearDynamics, clearGraphics, clr, clr, cp, createGraphic, deleteGraphic, dup, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, greyInt, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, syncGraphic, syncWeight, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fields

    public java.util.ArrayList<I3DFieldI> fields

### fields2

    public java.util.ArrayList<I2DFieldI> fields2

Constructor Detail

### IFieldAgent

    public IFieldAgent()

### IFieldAgent

    public IFieldAgent(I3DFieldI f)

### IFieldAgent

    public IFieldAgent(I3DFieldI[] f)

Method Detail

### add

    public IFieldAgent add(I3DFieldI f)

### addField

    public IFieldAgent addField(I3DFieldI f)

### remove

    public IFieldAgent remove(I3DFieldI f)

### removeField

    public IFieldAgent removeField(I3DFieldI f)

### add

    public IFieldAgent add(I2DFieldI f)

### addField

    public IFieldAgent addField(I2DFieldI f)

### remove

    public IFieldAgent remove(I2DFieldI f)

### removeField

    public IFieldAgent removeField(I2DFieldI f)

### interact

    public void interact(java.util.ArrayList<IDynamics> agents)

  Description copied from interface: `IDynamics`
  behavior definition of interaction with other dynamic objects. The server puts all dynamic objects including itself.

  Specified by:
    `interact` in interface `IDynamics`
  Overrides:
    `interact` in class `IAgent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD